0 Replies Latest reply: Apr 4, 2014 2:56 AM by Azizullah-Sikandari
Azizullah-Sikandari Level 1 Level 1 (0 points)

I have an ipad (IOS 7.1) and downloaded latest version of itunes (11.1.5.5) and downloaded itools (1.8.2.8) but my Itools does not work and message that your itools is not compatible with itunes so please want your comment for that.


iPhone 4S